### Hierarchy

- Writer
  - PokemonWriter
  - TypeWriter
  - MoveWriter
  - AvatarCustomizationWriter

## Index

### Constructors

- constructor

### Properties

- gameMaster
- outputPath
- parser

### Methods

- Write

## Constructors

### constructor

- new Writer(outputPath: string, parser: Parser): Writer

- - Defined in core/writer.ts:7

  #### Parameters

  - ##### outputPath: string

  - ##### parser: Parser

  #### Returns Writer

## Properties

### gameMaster

gameMaster: RootObject

- Defined in core/writer.ts:7

### Private outputPath

outputPath: string

- Defined in core/writer.ts:8

### Private parser

parser: Parser

- Defined in core/writer.ts:8

## Methods

### Write

- Write(): Promise<any>

- - Defined in core/writer.ts:11

  #### Returns Promise<any>

Generated using TypeDoc